package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 告警级别(0.危险，1.次要，2.一般)枚举类
*
* @author zxfei
*/
public enum AlarmLevelEnum {
    危险(0, "危险"),
    次要(1, "次要"),
    一般(2, "一般");
    private Integer value;
    private String desc;

    AlarmLevelEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static AlarmLevelEnum getByValue(Integer value) {
        for (AlarmLevelEnum alarmLevelEnum : AlarmLevelEnum.values()) {
            if (alarmLevelEnum.getValue() == value) {
                return alarmLevelEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (AlarmLevelEnum item : AlarmLevelEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}